<?php

set_time_limit(0);

require('./common.php');
require(INC_DIR .'bbcode.php');

$mode = (string) request_var('mode', 'list');
$order_id = (int) request_var('order', '');

$user->session_start();

$url = "orders.php?mode=$mode";

if($mode == 'list')
{
	$page_title = 'Стол заказов';

	$template->assign_vars(array(
	    'ORDER_LIST'     => true,
	));

    $where_sql = '';
    if($order_id)
    {
    	$url .= "&id=$order_id";
    	$where_sql .= "WHERE o.order_id = $order_id";
    }

    $sql = DB()->fetch_rowset("SELECT o.*, u1.username, u1.user_rank,
	    u2.username as profilename, u2.user_rank as profile_rank,
	    bt.*
	    FROM ". BB_ORDERS ." o
	        LEFT JOIN ". BB_USERS ." u1 ON(u1.user_id = o.user_id)
	        LEFT JOIN ". BB_BT_USERS ." bt ON(bt.user_id = o.user_id)
	        LEFT JOIN ". BB_USERS ." u2 ON(u2.user_id = o.profile_id)
		$where_sql
	    ORDER BY o.order_id DESC");
    foreach($sql as $i => $row)
    {
    	$order = unserialize($row['text']);

    	$template->assign_block_vars('order', array(
			'CLASS'      => !($i % 2) ? 'row1' : 'row2',
			'ID'         => $row['order_id'],
			'TIME'       => delta_time($row['time']),
			'USER'       => profile_url($row),
			'USER_RATIO' => get_bt_ratio($row),
		    'PROFILE'    => profile_url(array('user_id' => $row['profile_id'], 'username' => $row['profilename'], 'user_rank' => $row['profile_rank'])),
		    'URL'        => $row['url'],
		    'POSTER'     => 'gallery/posters/'.$order['poster'],
		    'INFO'       => "<b>{$order['name']}</b><br /><br /><b>Тип:</b> {$order['tip']}<br /><b>Режиссер</b>: {$order['producer']}",
		    'YEAR'       => $order['year'],
		    'STATUS'     => $row['status'],
		));
    }
}
else if($mode == 'add')
{
	$page_title = 'Добавить заказ';

    $template->assign_vars(array(
        'ORDER_ADD'       => true,
	    'SEARCH'         => @$_POST['search'],
	));

	if(@$_POST['submit'])
	{
		$id = (int) @$_POST['id'];
		$site = (string) @$_POST['site'];

        if(!$id || !$site)
        {
            meta_refresh($url);
        	bb_die ('Ошибка. Повторите поиск.');
        }

        $row = DB()->fetch_row("SELECT order_id FROM ". BB_ORDERS ." WHERE id = $id AND site = '$site'");
        if($row)
        {
            meta_refresh($url ."&order={$row['order_id']}");
			bb_die ('Данный заказ уже есть.');
        }

		$order = CACHE('bb_cache')->get("order-{$site}-$id");
		if(!$order)
		{
			meta_refresh($url);
			bb_die ('Сессия устарела, пожалуйста повторите поиск!');
        }

        $order = DB()->escape(serialize($order));
        $info = bbcode2html(prepare_message($_POST['info']));

        $columns = "id,  site,    text,     user_id,       time,            info";
		$values  = "$id, '$site', '$order', '{$user->id}', '". TIMENOW ."', '$info'";

		DB()->query("INSERT INTO ". BB_ORDERS ." ($columns) VALUES ($values)");
        //$order_id = DB()->sql_nextid();

        meta_refresh('orders.php');
        bb_die ('Заказ был успешно добавлен.');
    }
}

$template->assign_vars(array(
	    'PAGE_TITLE'  => $page_title,
	    'URL'         => $url,
));

print_page('orders.tpl');

?>

